<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:32 CEST 2019 -->
<title>JavaTypeNameConstants (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="JavaTypeNameConstants (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jdbc/InternalTransactionCoordinator.AbstractTransactionCoordinator.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jdbc/JaybirdType.html" title="enum in org.firebirdsql.jdbc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/JavaTypeNameConstants.html" target="_top">Frames</a></li>
<li><a href="JavaTypeNameConstants.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.java.lang.Object">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.jdbc</div>
<h2 title="Class JavaTypeNameConstants" class="title">Class JavaTypeNameConstants</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.jdbc.JavaTypeNameConstants</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre><a href="../../../org/firebirdsql/util/InternalApi.html" title="annotation in org.firebirdsql.util">@InternalApi</a>
public final class <span class="typeNameLabel">JavaTypeNameConstants</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">String constants of the Java type names used in metadata and field access.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html#ARRAY_CLASS_NAME">ARRAY_CLASS_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html#BIG_DECIMAL_CLASS_NAME">BIG_DECIMAL_CLASS_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html#BIG_INTEGER_CLASS_NAME">BIG_INTEGER_CLASS_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html#BLOB_CLASS_NAME">BLOB_CLASS_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html#BOOLEAN_CLASS_NAME">BOOLEAN_CLASS_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html#BYTE_ARRAY_CLASS_NAME">BYTE_ARRAY_CLASS_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html#BYTE_CLASS_NAME">BYTE_CLASS_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html#CALENDAR_CLASS_NAME">CALENDAR_CLASS_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html#CLOB_CLASS_NAME">CLOB_CLASS_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html#DECIMAL_CLASS_NAME">DECIMAL_CLASS_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html#DECIMAL128_CLASS_NAME">DECIMAL128_CLASS_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html#DECIMAL32_CLASS_NAME">DECIMAL32_CLASS_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html#DECIMAL64_CLASS_NAME">DECIMAL64_CLASS_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html#DOUBLE_CLASS_NAME">DOUBLE_CLASS_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html#FB_ROW_ID_CLASS_NAME">FB_ROW_ID_CLASS_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html#FIREBIRD_BLOB_CLASS_NAME">FIREBIRD_BLOB_CLASS_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html#FLOAT_CLASS_NAME">FLOAT_CLASS_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html#INPUT_STREAM_CLASS_NAME">INPUT_STREAM_CLASS_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html#INTEGER_CLASS_NAME">INTEGER_CLASS_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html#LOCAL_DATE_CLASS_NAME">LOCAL_DATE_CLASS_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html#LOCAL_DATE_TIME_CLASS_NAME">LOCAL_DATE_TIME_CLASS_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html#LOCAL_TIME_CLASS_NAME">LOCAL_TIME_CLASS_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html#LONG_CLASS_NAME">LONG_CLASS_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html#NCLOB_CLASS_NAME">NCLOB_CLASS_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html#OBJECT_CLASS_NAME">OBJECT_CLASS_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html#OFFSET_DATE_TIME_CLASS_NAME">OFFSET_DATE_TIME_CLASS_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html#OFFSET_TIME_CLASS_NAME">OFFSET_TIME_CLASS_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html#RAW_DATE_TIME_STRUCT_CLASS_NAME">RAW_DATE_TIME_STRUCT_CLASS_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html#READER_CLASS_NAME">READER_CLASS_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html#ROW_ID_CLASS_NAME">ROW_ID_CLASS_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html#SHORT_CLASS_NAME">SHORT_CLASS_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html#SQL_DATE_CLASS_NAME">SQL_DATE_CLASS_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html#STRING_CLASS_NAME">STRING_CLASS_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html#TIME_CLASS_NAME">TIME_CLASS_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html#TIMESTAMP_CLASS_NAME">TIMESTAMP_CLASS_NAME</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/JavaTypeNameConstants.html#UTIL_DATE_CLASS_NAME">UTIL_DATE_CLASS_NAME</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="OBJECT_CLASS_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>OBJECT_CLASS_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> OBJECT_CLASS_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.JavaTypeNameConstants.OBJECT_CLASS_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BOOLEAN_CLASS_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BOOLEAN_CLASS_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> BOOLEAN_CLASS_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.JavaTypeNameConstants.BOOLEAN_CLASS_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BYTE_CLASS_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BYTE_CLASS_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> BYTE_CLASS_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.JavaTypeNameConstants.BYTE_CLASS_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SHORT_CLASS_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SHORT_CLASS_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> SHORT_CLASS_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.JavaTypeNameConstants.SHORT_CLASS_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INTEGER_CLASS_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INTEGER_CLASS_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> INTEGER_CLASS_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.JavaTypeNameConstants.INTEGER_CLASS_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="LONG_CLASS_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LONG_CLASS_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> LONG_CLASS_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.JavaTypeNameConstants.LONG_CLASS_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BIG_INTEGER_CLASS_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BIG_INTEGER_CLASS_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> BIG_INTEGER_CLASS_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.JavaTypeNameConstants.BIG_INTEGER_CLASS_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FLOAT_CLASS_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FLOAT_CLASS_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> FLOAT_CLASS_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.JavaTypeNameConstants.FLOAT_CLASS_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DOUBLE_CLASS_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DOUBLE_CLASS_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> DOUBLE_CLASS_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.JavaTypeNameConstants.DOUBLE_CLASS_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BIG_DECIMAL_CLASS_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BIG_DECIMAL_CLASS_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> BIG_DECIMAL_CLASS_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.JavaTypeNameConstants.BIG_DECIMAL_CLASS_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DECIMAL_CLASS_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DECIMAL_CLASS_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> DECIMAL_CLASS_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.JavaTypeNameConstants.DECIMAL_CLASS_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DECIMAL32_CLASS_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DECIMAL32_CLASS_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> DECIMAL32_CLASS_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.JavaTypeNameConstants.DECIMAL32_CLASS_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DECIMAL64_CLASS_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DECIMAL64_CLASS_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> DECIMAL64_CLASS_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.JavaTypeNameConstants.DECIMAL64_CLASS_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DECIMAL128_CLASS_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DECIMAL128_CLASS_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> DECIMAL128_CLASS_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.JavaTypeNameConstants.DECIMAL128_CLASS_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STRING_CLASS_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STRING_CLASS_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> STRING_CLASS_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.JavaTypeNameConstants.STRING_CLASS_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CLOB_CLASS_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CLOB_CLASS_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> CLOB_CLASS_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.JavaTypeNameConstants.CLOB_CLASS_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="NCLOB_CLASS_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>NCLOB_CLASS_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> NCLOB_CLASS_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.JavaTypeNameConstants.NCLOB_CLASS_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="READER_CLASS_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>READER_CLASS_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> READER_CLASS_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.JavaTypeNameConstants.READER_CLASS_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BLOB_CLASS_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BLOB_CLASS_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> BLOB_CLASS_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.JavaTypeNameConstants.BLOB_CLASS_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FIREBIRD_BLOB_CLASS_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FIREBIRD_BLOB_CLASS_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> FIREBIRD_BLOB_CLASS_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.JavaTypeNameConstants.FIREBIRD_BLOB_CLASS_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BYTE_ARRAY_CLASS_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BYTE_ARRAY_CLASS_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> BYTE_ARRAY_CLASS_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.JavaTypeNameConstants.BYTE_ARRAY_CLASS_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INPUT_STREAM_CLASS_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INPUT_STREAM_CLASS_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> INPUT_STREAM_CLASS_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.JavaTypeNameConstants.INPUT_STREAM_CLASS_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TIMESTAMP_CLASS_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TIMESTAMP_CLASS_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> TIMESTAMP_CLASS_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.JavaTypeNameConstants.TIMESTAMP_CLASS_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="UTIL_DATE_CLASS_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UTIL_DATE_CLASS_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> UTIL_DATE_CLASS_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.JavaTypeNameConstants.UTIL_DATE_CLASS_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CALENDAR_CLASS_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CALENDAR_CLASS_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> CALENDAR_CLASS_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.JavaTypeNameConstants.CALENDAR_CLASS_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="LOCAL_DATE_TIME_CLASS_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LOCAL_DATE_TIME_CLASS_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> LOCAL_DATE_TIME_CLASS_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.JavaTypeNameConstants.LOCAL_DATE_TIME_CLASS_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="OFFSET_DATE_TIME_CLASS_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>OFFSET_DATE_TIME_CLASS_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> OFFSET_DATE_TIME_CLASS_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.JavaTypeNameConstants.OFFSET_DATE_TIME_CLASS_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TIME_CLASS_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TIME_CLASS_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> TIME_CLASS_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.JavaTypeNameConstants.TIME_CLASS_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="LOCAL_TIME_CLASS_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LOCAL_TIME_CLASS_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> LOCAL_TIME_CLASS_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.JavaTypeNameConstants.LOCAL_TIME_CLASS_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="OFFSET_TIME_CLASS_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>OFFSET_TIME_CLASS_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> OFFSET_TIME_CLASS_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.JavaTypeNameConstants.OFFSET_TIME_CLASS_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SQL_DATE_CLASS_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SQL_DATE_CLASS_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> SQL_DATE_CLASS_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.JavaTypeNameConstants.SQL_DATE_CLASS_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="LOCAL_DATE_CLASS_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LOCAL_DATE_CLASS_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> LOCAL_DATE_CLASS_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.JavaTypeNameConstants.LOCAL_DATE_CLASS_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RAW_DATE_TIME_STRUCT_CLASS_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RAW_DATE_TIME_STRUCT_CLASS_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> RAW_DATE_TIME_STRUCT_CLASS_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.JavaTypeNameConstants.RAW_DATE_TIME_STRUCT_CLASS_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ARRAY_CLASS_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ARRAY_CLASS_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> ARRAY_CLASS_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.JavaTypeNameConstants.ARRAY_CLASS_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="ROW_ID_CLASS_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ROW_ID_CLASS_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> ROW_ID_CLASS_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.JavaTypeNameConstants.ROW_ID_CLASS_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="FB_ROW_ID_CLASS_NAME">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FB_ROW_ID_CLASS_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> FB_ROW_ID_CLASS_NAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.JavaTypeNameConstants.FB_ROW_ID_CLASS_NAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jdbc/InternalTransactionCoordinator.AbstractTransactionCoordinator.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jdbc/JaybirdType.html" title="enum in org.firebirdsql.jdbc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/JavaTypeNameConstants.html" target="_top">Frames</a></li>
<li><a href="JavaTypeNameConstants.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.java.lang.Object">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
